ros-humble-controller-manager (2.47.0-1jammy) jammy; urgency=high

  * Fix deprecated usage of lock_memory API (#1970 <https://github.com/ros-controls/ros2_control/issues/1970>) (#1971 <https://github.com/ros-controls/ros2_control/issues/1971>)
  * Log an error if update() call returns ERROR (#1969 <https://github.com/ros-controls/ros2_control/issues/1969>)
  * Fix spawner behaviour on failing controller activation or deactivation (#1941 <https://github.com/ros-controls/ros2_control/issues/1941>) (#1968 <https://github.com/ros-controls/ros2_control/issues/1968>)
  * Use the .hpp headers from realtime_tools package (#1916 <https://github.com/ros-controls/ros2_control/issues/1916>) (#1920 <https://github.com/ros-controls/ros2_control/issues/1920>)
  * Use singleton approach to store and reuse the service clients (#1949 <https://github.com/ros-controls/ros2_control/issues/1949>) (#1953 <https://github.com/ros-controls/ros2_control/issues/1953>)
  * Contributors: Christoph Fröhlich, mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Dec 2024 00:00:00 -0000

ros-humble-controller-manager (2.46.0-1jammy) jammy; urgency=high

  * Add service call timeout argument in spawner (#1808 <https://github.com/ros-controls/ros2_control/issues/1808>) (#1886 <https://github.com/ros-controls/ros2_control/issues/1886>)
  * Fix the spawner to support full wildcard parameter entries (backport #1933 <https://github.com/ros-controls/ros2_control/issues/1933>) (#1939 <https://github.com/ros-controls/ros2_control/issues/1939>)
  * generate version.h file per package using the ament_generate_version_header  (backport #1449 <https://github.com/ros-controls/ros2_control/issues/1449>) (#1938 <https://github.com/ros-controls/ros2_control/issues/1938>)
  * Add documentation on ros2_control_node and make lock_memory false by default (backport #1890 <https://github.com/ros-controls/ros2_control/issues/1890>) (#1895 <https://github.com/ros-controls/ros2_control/issues/1895>)
  * [Spawner] Accept parsing multiple --param-file arguments to spawner  (backport #1805 <https://github.com/ros-controls/ros2_control/issues/1805>) (#1894 <https://github.com/ros-controls/ros2_control/issues/1894>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 16 Dec 2024 00:00:00 -0000

ros-humble-controller-manager (2.45.0-1jammy) jammy; urgency=high

  * Add CM switch_controller service timeout as parameter to spawner.py (backport #1790 <https://github.com/ros-controls/ros2_control/issues/1790>) (#1879 <https://github.com/ros-controls/ros2_control/issues/1879>)
  * Fix Hardware spawner and add tests for it (backport #1759 <https://github.com/ros-controls/ros2_control/issues/1759>) (#1827 <https://github.com/ros-controls/ros2_control/issues/1827>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 03 Dec 2024 00:00:00 -0000

ros-humble-controller-manager (2.44.0-1jammy) jammy; urgency=high

  * [ros2_control_node] Handle simulation environment clocks (backport #1810 <https://github.com/ros-controls/ros2_control/issues/1810>) (#1862 <https://github.com/ros-controls/ros2_control/issues/1862>)
  * Change from thread_priority.hpp to realtime_helpers.hpp (backport #1829 <https://github.com/ros-controls/ros2_control/issues/1829>) (#1866 <https://github.com/ros-controls/ros2_control/issues/1866>)
  * [ros2_control_node] Add option to set the CPU affinity  (backport #1852 <https://github.com/ros-controls/ros2_control/issues/1852>) (#1856 <https://github.com/ros-controls/ros2_control/issues/1856>)
  * [ros2_control_node] Add the realtime_tools lock_memory method to prevent page faults (backport #1822 <https://github.com/ros-controls/ros2_control/issues/1822>) (#1850 <https://github.com/ros-controls/ros2_control/issues/1850>)
  * fix: typo use thread_priority (backport #1844 <https://github.com/ros-controls/ros2_control/issues/1844>) (#1847 <https://github.com/ros-controls/ros2_control/issues/1847>)
  * [Spawner] Add support for wildcard entries in the controller param files  (#1724 <https://github.com/ros-controls/ros2_control/issues/1724>) (#1835 <https://github.com/ros-controls/ros2_control/issues/1835>)
  * Add test coverage for params_file parameter in spawner/unspawner tests (#1754 <https://github.com/ros-controls/ros2_control/issues/1754>) (#1838 <https://github.com/ros-controls/ros2_control/issues/1838>)
  * Fix unload of controllers when spawned with --unload-on-kill (#1717 <https://github.com/ros-controls/ros2_control/issues/1717>) (#1842 <https://github.com/ros-controls/ros2_control/issues/1842>)
  * add thread_priority option to the ros2_control_node (#1820 <https://github.com/ros-controls/ros2_control/issues/1820>) (#1824 <https://github.com/ros-controls/ros2_control/issues/1824>)
  * Add few warning compiler options to error (backport #1181 <https://github.com/ros-controls/ros2_control/issues/1181>) (#1816 <https://github.com/ros-controls/ros2_control/issues/1816>)
  * Add -Wconversion flag to protect future developments (#1053 <https://github.com/ros-controls/ros2_control/issues/1053>) (#1815 <https://github.com/ros-controls/ros2_control/issues/1815>)
  * Fix timeout value in std output (backport #1807 <https://github.com/ros-controls/ros2_control/issues/1807>) (#1812 <https://github.com/ros-controls/ros2_control/issues/1812>)
  * Improve launch utils to support the multiple controller names (#1782 <https://github.com/ros-controls/ros2_control/issues/1782>) (#1783 <https://github.com/ros-controls/ros2_control/issues/1783>)
  * allow extra spawner arguments to not declare every argument in launch utils (#1505 <https://github.com/ros-controls/ros2_control/issues/1505>) (#1792 <https://github.com/ros-controls/ros2_control/issues/1792>)
  * Refactor spawner to be able to reuse code for ros2controlcli (backport #1661 <https://github.com/ros-controls/ros2_control/issues/1661>) (#1695 <https://github.com/ros-controls/ros2_control/issues/1695>)
  * [rqt_controller_manager] Add hardware components (#1455 <https://github.com/ros-controls/ros2_control/issues/1455>) (#1586 <https://github.com/ros-controls/ros2_control/issues/1586>)
  * [CM] Handle other exceptions while loading the controller plugin (#1731 <https://github.com/ros-controls/ros2_control/issues/1731>) (#1733 <https://github.com/ros-controls/ros2_control/issues/1733>)
  * [CM] Throw an exception when the components initially fail to be in the required state (backport #1729 <https://github.com/ros-controls/ros2_control/issues/1729>) (#1777 <https://github.com/ros-controls/ros2_control/issues/1777>)
  * Fix spawner tests timeout on source builds (backport #1692 <https://github.com/ros-controls/ros2_control/issues/1692>) (#1697 <https://github.com/ros-controls/ros2_control/issues/1697>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 09 Nov 2024 00:00:00 -0000

ros-humble-controller-manager (2.43.1-1jammy) jammy; urgency=high

  * controller_manager: Add space to string literal concatenation (#1245 <https://github.com/ros-controls/ros2_control/issues/1245>) (#1747 <https://github.com/ros-controls/ros2_control/issues/1747>)
  * fix: the print of the information in control node was in wrong order (#1726 <https://github.com/ros-controls/ros2_control/issues/1726>)
  * Contributors: Manuel Muth, roscan-tech

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 10 Sep 2024 23:00:00 -0000

ros-humble-controller-manager (2.43.0-1jammy) jammy; urgency=high

  * Infrom user why rt policy could not be set, infrom if is set. (backport #1705 <https://github.com/ros-controls/ros2_control/issues/1705>) (#1708 <https://github.com/ros-controls/ros2_control/issues/1708>)
  * Make list controller and list hardware components immediately visualize the state. (backport #1606 <https://github.com/ros-controls/ros2_control/issues/1606>) (#1690 <https://github.com/ros-controls/ros2_control/issues/1690>)
  * Robustify spawner (backport #1501 <https://github.com/ros-controls/ros2_control/issues/1501>) (#1686 <https://github.com/ros-controls/ros2_control/issues/1686>)
  * [CI] Backport #1636 <https://github.com/ros-controls/ros2_control/issues/1636> #1668 <https://github.com/ros-controls/ros2_control/issues/1668> and fix coverage on jammy (#1677 <https://github.com/ros-controls/ros2_control/issues/1677>)
  * Handle on waiting (backport #1562 <https://github.com/ros-controls/ros2_control/issues/1562>) (#1680 <https://github.com/ros-controls/ros2_control/issues/1680>)
  * refactor SwitchParams to fix the incosistencies in the spawner tests (backport #1638 <https://github.com/ros-controls/ros2_control/issues/1638>) (#1659 <https://github.com/ros-controls/ros2_control/issues/1659>)
  * Contributors: Christoph Fröhlich, mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 21 Aug 2024 23:00:00 -0000

ros-humble-controller-manager (2.42.0-1jammy) jammy; urgency=high

  * Remove noqa (#1626 <https://github.com/ros-controls/ros2_control/issues/1626>) (#1628 <https://github.com/ros-controls/ros2_control/issues/1628>)
  * Bump version of pre-commit hooks (backport #1556 <https://github.com/ros-controls/ros2_control/issues/1556>) (#1557 <https://github.com/ros-controls/ros2_control/issues/1557>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Jul 2024 23:00:00 -0000

ros-humble-controller-manager (2.41.0-1jammy) jammy; urgency=high

  * check for state of the controller node before cleanup (backport #1363 <https://github.com/ros-controls/ros2_control/issues/1363>) (#1378 <https://github.com/ros-controls/ros2_control/issues/1378>)
  * Bump version of pre-commit hooks (backport #1430 <https://github.com/ros-controls/ros2_control/issues/1430>) (#1434 <https://github.com/ros-controls/ros2_control/issues/1434>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 29 Apr 2024 23:00:00 -0000

ros-humble-controller-manager (2.40.0-1jammy) jammy; urgency=high

  * Fix multiple chainable controller activation bug (backport #1401 <https://github.com/ros-controls/ros2_control/issues/1401>) (#1411 <https://github.com/ros-controls/ros2_control/issues/1411>)
  * [CI] Code coverage + pre-commit (backport #1413 <https://github.com/ros-controls/ros2_control/issues/1413>) (#1414 <https://github.com/ros-controls/ros2_control/issues/1414>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 02 Mar 2024 00:00:00 -0000

ros-humble-controller-manager (2.39.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 14 Feb 2024 00:00:00 -0000

ros-humble-controller-manager (2.39.0-1jammy) jammy; urgency=high

  * [Spawners] Remove walrus operator (#1366 <https://github.com/ros-controls/ros2_control/issues/1366>)
  * [CM] Use explicit constants in controller tests. (#1356 <https://github.com/ros-controls/ros2_control/issues/1356>) (#1359 <https://github.com/ros-controls/ros2_control/issues/1359>)
  * Move test_components to own package (backport #1325 <https://github.com/ros-controls/ros2_control/issues/1325>) (#1340 <https://github.com/ros-controls/ros2_control/issues/1340>)
  * Contributors: Christoph Fröhlich, Dr Denis

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 12 Feb 2024 00:00:00 -0000

ros-humble-controller-manager (2.38.0-1jammy) jammy; urgency=high

  * [CM] Fix controller parameter loading issue in different cases (#1293 <https://github.com/ros-controls/ros2_control/issues/1293>) (#1332 <https://github.com/ros-controls/ros2_control/issues/1332>)
  * Enable setting of initial state in HW components (backport #1046 <https://github.com/ros-controls/ros2_control/issues/1046>) (#1064 <https://github.com/ros-controls/ros2_control/issues/1064>)
  * Contributors: Sai Kishor Kothakota, mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 25 Jan 2024 00:00:00 -0000

ros-humble-controller-manager (2.37.0-1jammy) jammy; urgency=high

  * Add additional checks for non existing and not available interfaces. (backport #1218 <https://github.com/ros-controls/ros2_control/issues/1218>) (#1291 <https://github.com/ros-controls/ros2_control/issues/1291>)
  * [ControllerManager] Fix all warnings from the latets features. (backport #1174 <https://github.com/ros-controls/ros2_control/issues/1174>) (#1309 <https://github.com/ros-controls/ros2_control/issues/1309>)
  * Reformat with braces added (backport #1209 <https://github.com/ros-controls/ros2_control/issues/1209>) (#1306 <https://github.com/ros-controls/ros2_control/issues/1306>)
  * Add spawner for hardware (backport #941 <https://github.com/ros-controls/ros2_control/issues/941>) (#1216 <https://github.com/ros-controls/ros2_control/issues/1216>)
  * Initialize the controller manager services after initializing resource manager (#1272 <https://github.com/ros-controls/ros2_control/issues/1272>)
  * Fix rqt controller manager crash on ros2_control restart (#1273 <https://github.com/ros-controls/ros2_control/issues/1273>) (#1280 <https://github.com/ros-controls/ros2_control/issues/1280>)
  * Contributors: David Yackzan, Sai Kishor Kothakota, mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 20 Jan 2024 00:00:00 -0000

ros-humble-controller-manager (2.36.1-1jammy) jammy; urgency=high

  * [docs] Remove joint_state_controller (#1263 <https://github.com/ros-controls/ros2_control/issues/1263>) (#1264 <https://github.com/ros-controls/ros2_control/issues/1264>)
  * [CI] Increase timeout for controller_managers_srv test (backport #1224 <https://github.com/ros-controls/ros2_control/issues/1224>) (#1225 <https://github.com/ros-controls/ros2_control/issues/1225>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 08 Jan 2024 00:00:00 -0000

ros-humble-controller-manager (2.36.0-1jammy) jammy; urgency=high

  * Fix controller sorting issue while loading large number of controllers (#1180 <https://github.com/ros-controls/ros2_control/issues/1180>) (#1186 <https://github.com/ros-controls/ros2_control/issues/1186>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 12 Dec 2023 00:00:00 -0000

ros-humble-controller-manager (2.35.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Nov 2023 00:00:00 -0000

ros-humble-controller-manager (2.35.0-1jammy) jammy; urgency=high

  * Fix the controller sorting bug when the interfaces are not configured (fixes #1164 <https://github.com/ros-controls/ros2_control/issues/1164>) (#1165 <https://github.com/ros-controls/ros2_control/issues/1165>) (#1166 <https://github.com/ros-controls/ros2_control/issues/1166>)
  * [CM] Use robot_description topic instead of parameter and don't crash on empty URDF 🦿 (backport #940 <https://github.com/ros-controls/ros2_control/issues/940>) (#1052 <https://github.com/ros-controls/ros2_control/issues/1052>)
  * Contributors: Sai Kishor Kothakota, Denis Stogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 14 Nov 2023 00:00:00 -0000

ros-humble-controller-manager (2.34.0-1jammy) jammy; urgency=high

  * [Humble] Controller sorting (#1157 <https://github.com/ros-controls/ros2_control/issues/1157>)
  * Update spawner to accept controllers list and start them in sequence (backport #1139 <https://github.com/ros-controls/ros2_control/issues/1139>) (#1149 <https://github.com/ros-controls/ros2_control/issues/1149>)
  * Create doc file for chained controllers (backport #985 <https://github.com/ros-controls/ros2_control/issues/985>) (#1131 <https://github.com/ros-controls/ros2_control/issues/1131>)
  * Contributors: Sai Kishor Kothakota, mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 08 Nov 2023 00:00:00 -0000

ros-humble-controller-manager (2.33.0-1jammy) jammy; urgency=high

  * Export of the get_cm_node_options() from robostack (#1129 <https://github.com/ros-controls/ros2_control/issues/1129>) (#1130 <https://github.com/ros-controls/ros2_control/issues/1130>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 10 Oct 2023 23:00:00 -0000

ros-humble-controller-manager (2.32.0-1jammy) jammy; urgency=high

  * Fix multiple calls to export reference interfaces (backport #1108 <https://github.com/ros-controls/ros2_control/issues/1108>) (#1114 <https://github.com/ros-controls/ros2_control/issues/1114>)
  * Contributors: Sai Kishor Kothakota, Dr Denis

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 02 Oct 2023 23:00:00 -0000

ros-humble-controller-manager (2.31.0-1jammy) jammy; urgency=high

  * [Docs] Fix information about activation and deactivation of chainable controllers (#1104 <https://github.com/ros-controls/ros2_control/issues/1104>) (#1106 <https://github.com/ros-controls/ros2_control/issues/1106>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 10 Sep 2023 23:00:00 -0000

ros-humble-controller-manager (2.30.0-1jammy) jammy; urgency=high

  * [CM] Fixes the issue with individual controller's update rate (#1082 <https://github.com/ros-controls/ros2_control/issues/1082>) (#1097 <https://github.com/ros-controls/ros2_control/issues/1097>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 13 Aug 2023 23:00:00 -0000

ros-humble-controller-manager (2.29.0-1jammy) jammy; urgency=high

  * [CM] Make error message after trying to active controller more informative. (#1066 <https://github.com/ros-controls/ros2_control/issues/1066>) (#1072 <https://github.com/ros-controls/ros2_control/issues/1072>)
  * added controller manager runner to have update cycles (#1075 <https://github.com/ros-controls/ros2_control/issues/1075>) (#1076 <https://github.com/ros-controls/ros2_control/issues/1076>)
  * Fix equal and higher controller update rate (backport #1070 <https://github.com/ros-controls/ros2_control/issues/1070>) (#1071 <https://github.com/ros-controls/ros2_control/issues/1071>)
  * Contributors: Sai Kishor Kothakota, Dr Denis

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 08 Jul 2023 23:00:00 -0000

ros-humble-controller-manager (2.28.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Jun 2023 23:00:00 -0000

ros-humble-controller-manager (2.27.0-1jammy) jammy; urgency=high

  * Docs: Use branch name substitution for all links (backport #1031 <https://github.com/ros-controls/ros2_control/issues/1031>) (#1042 <https://github.com/ros-controls/ros2_control/issues/1042>)
  * [Humble] enable ReflowComments to also use ColumnLimit on comments (#1038 <https://github.com/ros-controls/ros2_control/issues/1038>)
  * controller_manager_srvs tests: Add text to assertions (backport #1023 <https://github.com/ros-controls/ros2_control/issues/1023>) (#1029 <https://github.com/ros-controls/ros2_control/issues/1029>)
  * Contributors: Sai Kishor Kothakota, Christoph Fröhlich, Bence Magyar, Felix Exner

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Jun 2023 23:00:00 -0000

ros-humble-controller-manager (2.26.0-1jammy) jammy; urgency=high

  * Revert "Add diagnostics (#1015 <https://github.com/ros-controls/ros2_control/issues/1015>) #abi-breaking
  * Fix GitHub link on control.ros.org (#1022 <https://github.com/ros-controls/ros2_control/issues/1022>) (#1024 <https://github.com/ros-controls/ros2_control/issues/1024>)
  * Contributors: Joseph Schornak, Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 19 May 2023 23:00:00 -0000

ros-humble-controller-manager (2.25.3-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Apr 2023 23:00:00 -0000

ros-humble-controller-manager (2.25.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 19 Apr 2023 23:00:00 -0000

ros-humble-controller-manager (2.25.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Apr 2023 23:00:00 -0000

ros-humble-controller-manager (2.25.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 01 Apr 2023 23:00:00 -0000

ros-humble-controller-manager (2.24.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 09 Mar 2023 00:00:00 -0000

ros-humble-controller-manager (2.24.0-1jammy) jammy; urgency=high

  * fix AttributeError: Parameter object attribute name is read-only (#957 <https://github.com/ros-controls/ros2_control/issues/957>) (#958 <https://github.com/ros-controls/ros2_control/issues/958>)
  * Expose node options to controller manager (#942 <https://github.com/ros-controls/ros2_control/issues/942>) (#946 <https://github.com/ros-controls/ros2_control/issues/946>)
  * Contributors: Bence Magyar, methylDragon,Noel Jiménez García

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 28 Feb 2023 00:00:00 -0000

ros-humble-controller-manager (2.23.0-1jammy) jammy; urgency=high

  * Adds list_hardware_components to CLI #796 <https://github.com/ros-controls/ros2_control/issues/796> - Adds list_hardware_components to CLI (#891 <https://github.com/ros-controls/ros2_control/issues/891>) (#937 <https://github.com/ros-controls/ros2_control/issues/937>)
  * Do not use CLI calls but direct API for setting parameters. (backport #910 <https://github.com/ros-controls/ros2_control/issues/910>) (#913 <https://github.com/ros-controls/ros2_control/issues/913>)
  * Contributors: Andy McEvoy, Denis Stogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 20 Feb 2023 00:00:00 -0000

ros-humble-controller-manager (2.22.0-1jammy) jammy; urgency=high

  * Optimize output of controller spawner (backport #909 <https://github.com/ros-controls/ros2_control/issues/909>) (#911 <https://github.com/ros-controls/ros2_control/issues/911>)
  * Namespace Loaded Controllers (#852 <https://github.com/ros-controls/ros2_control/issues/852>) (#914 <https://github.com/ros-controls/ros2_control/issues/914>)
  * Add diagnostics (backport #820 <https://github.com/ros-controls/ros2_control/issues/820>) (#922 <https://github.com/ros-controls/ros2_control/issues/922>)
  * Contributors: Bence Magyar, Denis Stogl, Tony Najjar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-humble-controller-manager (2.21.0-1jammy) jammy; urgency=high

  * ControllerManager: catch exception by reference (#906 <https://github.com/ros-controls/ros2_control/issues/906>) (#907 <https://github.com/ros-controls/ros2_control/issues/907>)
  * Fix update rate setting from gazebo_ros2_control (backport #874 <https://github.com/ros-controls/ros2_control/issues/874>) (#904 <https://github.com/ros-controls/ros2_control/issues/904>)
  * Contributors: Christopher Wecht, Tony Najjar, Denis Stogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 24 Jan 2023 00:00:00 -0000

ros-humble-controller-manager (2.20.0-1jammy) jammy; urgency=high

  * Add backward_ros to controller_manager (#886 <https://github.com/ros-controls/ros2_control/issues/886>) (#892 <https://github.com/ros-controls/ros2_control/issues/892>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 12 Jan 2023 00:00:00 -0000

ros-humble-controller-manager (2.19.0-1jammy) jammy; urgency=high

  * Prevent controller manager from crashing when controller's plugin has error during loading. (#881 <https://github.com/ros-controls/ros2_control/issues/881>) (#882 <https://github.com/ros-controls/ros2_control/issues/882>)
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 Jan 2023 00:00:00 -0000

ros-humble-controller-manager (2.18.0-1jammy) jammy; urgency=high

  * Use a thread priority library from realtime_tools (#794 <https://github.com/ros-controls/ros2_control/issues/794>) (#868 <https://github.com/ros-controls/ros2_control/issues/868>)
  * Fix const-ness in std::chrono::time_point construction and explicitly use std::chrono::nanoseconds as std::chrono::time_point template parameter to help compilation on macOS as its std::chrono::system_clock::time_point defaults to std::chrono::milliseconds for duration type (#848 <https://github.com/ros-controls/ros2_control/issues/848>) (#866 <https://github.com/ros-controls/ros2_control/issues/866>)
  * Contributors: Andy Zelenak, light-tech

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 03 Dec 2022 00:00:00 -0000

ros-humble-controller-manager (2.17.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 27 Nov 2022 00:00:00 -0000

ros-humble-controller-manager (2.16.0-1jammy) jammy; urgency=high

  * Search for controller manager in the same namespace as spawner (#810 <https://github.com/ros-controls/ros2_control/issues/810>) (#839 <https://github.com/ros-controls/ros2_control/issues/839>)
  * Don't ask to export reference interface if controller not 'inactive' or 'active' (#824 <https://github.com/ros-controls/ros2_control/issues/824>) (#843 <https://github.com/ros-controls/ros2_control/issues/843>)
  * Contributors: Denis Štogl, Tony Najjar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 16 Oct 2022 23:00:00 -0000

ros-humble-controller-manager (2.15.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 18 Sep 2022 23:00:00 -0000

ros-humble-controller-manager (2.14.0-1jammy) jammy; urgency=high

  * Add doxygen comments (#777 <https://github.com/ros-controls/ros2_control/issues/777>)
  * Contributors: Bence Magyar, Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 03 Sep 2022 23:00:00 -0000

ros-humble-controller-manager (2.13.0-1jammy) jammy; urgency=high

  * Clang tidy: delete a redundant return (#790 <https://github.com/ros-controls/ros2_control/issues/790>)
  * Add chained controllers information in list controllers service #abi-braking (#758 <https://github.com/ros-controls/ros2_control/issues/758>)
    * add chained controllers in ros2controlcli
    * remove controller_group from service
    * added comments to ControllerState message
    * added comments to ChainedConnection message
  * spawner.py: Fix python logging on deprecation warning (#787 <https://github.com/ros-controls/ros2_control/issues/787>)
  * Add documentation for realtime permission (#781 <https://github.com/ros-controls/ros2_control/issues/781>)
  * Fix bug in spawner with getter for node's logger (#776 <https://github.com/ros-controls/ros2_control/issues/776>)
  * Contributors: Andy Zelenak, Felix Exner, Paul Gesel, Bijou Abraham

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 02 Aug 2022 23:00:00 -0000

ros-humble-controller-manager (2.12.1-1jammy) jammy; urgency=high

  * Rename CM members from start/stop to activate/deactivate nomenclature. (#756 <https://github.com/ros-controls/ros2_control/issues/756>)
  * Fix spelling in comment (#769 <https://github.com/ros-controls/ros2_control/issues/769>)
  * Contributors: Denis Štogl, Tyler Weaver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 13 Jul 2022 23:00:00 -0000

ros-humble-controller-manager (2.12.0-1jammy) jammy; urgency=high

  * Deprecate and rename start and stop nomenclature toward user to activate and deactivate #ABI-breaking (#755 <https://github.com/ros-controls/ros2_control/issues/755>)
    * Rename fields and deprecate old nomenclature.
    * Add new defines to SwitchController.srv
    * Deprecated start/stop nomenclature in all CLI commands.
    * Deprecate 'start_asap' too as other fields.
  * [ros2_control_node] Automatically detect if RT kernel is used and opportunistically enable SCHED_FIFO (#748 <https://github.com/ros-controls/ros2_control/issues/748>)
  * Contributors: Denis Štogl, Tyler Weaver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 08 Jul 2022 23:00:00 -0000

ros-humble-controller-manager (2.11.0-1jammy) jammy; urgency=high

  * Remove hybrid services in controller manager. (#761 <https://github.com/ros-controls/ros2_control/issues/761>)
  * [Interfaces] Improved ```get_name()``` method of hardware interfaces #api-breaking (#737 <https://github.com/ros-controls/ros2_control/issues/737>)
  * Update maintainers of packages (#753 <https://github.com/ros-controls/ros2_control/issues/753>)
  * Fix test dependency for chainable test (#751 <https://github.com/ros-controls/ros2_control/issues/751>)
  * Remove ament autolint (#749 <https://github.com/ros-controls/ros2_control/issues/749>)
  * Full functionality of chainable controllers in controller manager (#667 <https://github.com/ros-controls/ros2_control/issues/667>)
    * auto-switching of chained mode in controllers
    * interface-matching approach for managing chaining controllers
  * Fixup spanwer and unspawner tests. It changes spawner a bit to handle interupts internally. (#745 <https://github.com/ros-controls/ros2_control/issues/745>)
  * Add missing field to initializer lists in tests (#746 <https://github.com/ros-controls/ros2_control/issues/746>)
  * Small but useful output update on controller manager. (#741 <https://github.com/ros-controls/ros2_control/issues/741>)
  * Fixed period passed to hardware components always 0 (#738 <https://github.com/ros-controls/ros2_control/issues/738>)
  * Contributors: Bence Magyar, Denis Štogl, Maciej Bednarczyk, Lucas Schulze

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 02 Jul 2022 23:00:00 -0000

ros-humble-controller-manager (2.10.0-1jammy) jammy; urgency=high

  * Make RHEL CI happy! (#730 <https://github.com/ros-controls/ros2_control/issues/730>)
  * CMakeLists cleanup (#733 <https://github.com/ros-controls/ros2_control/issues/733>)
  * Update to clang format 12 (#731 <https://github.com/ros-controls/ros2_control/issues/731>)
  * Contributors: Andy Zelenak, Bence Magyar, Márk Szitanics

 -- karsten <karsten@osrfoundation.org>  Fri, 17 Jun 2022 23:00:00 -0000

ros-humble-controller-manager (2.9.0-1jammy) jammy; urgency=high

  * Adding base class for chained controllers: ChainedControllersInterface (#663 <https://github.com/ros-controls/ros2_control/issues/663>)
    * Extending ControllerInterface with methods for chainable controllers.
    * Switching to chained_mode is only forbidden if controller is active.
    * Default implementation for 'on_set_chained_mode' method.
    * Use two internal methods instead of 'update' directly on chained controllers.
  * Add ControllerInterfaceBase class with methods for chainable controller (#717 <https://github.com/ros-controls/ros2_control/issues/717>)
  * Contributors: Denis Štogl

 -- karsten <karsten@osrfoundation.org>  Wed, 18 May 2022 23:00:00 -0000

ros-humble-controller-manager (2.8.0-1jammy) jammy; urgency=high

  * Pass time and period to read() and write() (#715 <https://github.com/ros-controls/ros2_control/issues/715>)
  * Contributors: Bence Magyar

 -- karsten <karsten@osrfoundation.org>  Thu, 12 May 2022 23:00:00 -0000

ros-humble-controller-manager (2.7.0-1jammy) jammy; urgency=high

  * Update ControllerManager documenation describing some concepts (#677 <https://github.com/ros-controls/ros2_control/issues/677>)
  * Make node private in ControllerInterface (#699 <https://github.com/ros-controls/ros2_control/issues/699>)
  * Contributors: Chen Bainian, Denis Štogl, Jack Center, Bence Magyar

 -- karsten <karsten@osrfoundation.org>  Thu, 28 Apr 2022 23:00:00 -0000

ros-humble-controller-manager (2.6.0-1jammy) jammy; urgency=high

  * Add controller_manager_msgs dependency to test_hardware_management_srvs (#702 <https://github.com/ros-controls/ros2_control/issues/702>)
  * Remove unused variable from the test (#700 <https://github.com/ros-controls/ros2_control/issues/700>)
  * Enable namespaces for controllers. (#693 <https://github.com/ros-controls/ros2_control/issues/693>)
  * Spawner waits for services (#683 <https://github.com/ros-controls/ros2_control/issues/683>)
  * Contributors: Denis Štogl, Rufus Wong, Tyler Weaver

 -- karsten <karsten@osrfoundation.org>  Tue, 19 Apr 2022 23:00:00 -0000

ros-humble-controller-manager (2.5.0-1jammy) jammy; urgency=high

  * Make ControllerManager tests more flexible and reusable for different scenarios. Use more parameterized tests regarding strictness. (#661 <https://github.com/ros-controls/ros2_control/issues/661>)
  * Use lifecycle nodes in controllers again (#538 <https://github.com/ros-controls/ros2_control/issues/538>)
    * Add lifecycle nodes
    * Add custom 'configure' to controller interface to get 'update_rate' parameter.
    * Disable external interfaces of LifecycleNode.
  * Small fixes in controller manager tests. (#660 <https://github.com/ros-controls/ros2_control/issues/660>)
  * Enable controller manager services to control hardware lifecycle #abi-breaking (#637 <https://github.com/ros-controls/ros2_control/issues/637>)
    * Implement CM services for hardware lifecycle management.
    * Added default behavior to activate all controller and added description of CM parameters.
  * Contributors: Denis Štogl, Vatan Aksoy Tezer, Bence Magyar

 -- karsten <karsten@osrfoundation.org>  Fri, 25 Mar 2022 00:00:00 -0000

ros-humble-controller-manager (2.4.0-1jammy) jammy; urgency=high

  * Fixes of issue with seg-fault when checking interfaces on unconfigured controllers. (#580 <https://github.com/ros-controls/ros2_control/issues/580>)
  * Update CM service QoS so that we don't lose service calls when using many controllers. (#643 <https://github.com/ros-controls/ros2_control/issues/643>)
  * Contributors: Denis Štogl, Bence Magyar

 -- karsten <karsten@osrfoundation.org>  Wed, 23 Feb 2022 00:00:00 -0000

ros-humble-controller-manager (2.3.0-1jammy) jammy; urgency=high

  * added a fixed control period to loop (#647 <https://github.com/ros-controls/ros2_control/issues/647>)
  * install spawner/unspawner using console_script entrypoint (#607 <https://github.com/ros-controls/ros2_control/issues/607>)
  * Add BEST_EFFORT in the controller switch tests. (#582 <https://github.com/ros-controls/ros2_control/issues/582>)
  * Resolve unused parameter warnings (#636 <https://github.com/ros-controls/ros2_control/issues/636>)
  * Contributors: Bence Magyar, Denis Štogl, Jack Center, Melvin Wang, Xi-Huang

 -- karsten <karsten@osrfoundation.org>  Fri, 18 Feb 2022 00:00:00 -0000

ros-humble-controller-manager (2.2.0-1jammy) jammy; urgency=high

  * Resource Manager API changes for hardware lifecycle #api-breaking #abi-breaking (#589 <https://github.com/ros-controls/ros2_control/issues/589>)
    * Towards selective starting and stoping of hardware components. Cleaning and renaming.
    * Move Lifecycle of hardware component to the bottom for better overview.
    * Use the same nomenclature as for controllers. 'start' -> 'activate'; 'stop' -> 'deactivate'
    * Add selective starting and stopping of hardware resources.
    Add HardwareComponentInfo structure in resource manager.
    Use constants for HW parameters in tests of resource_manager.
    Add list hardware components in CM to get details about them and check their status.
    Use clear name for 'guard' and move release cmd itfs for better readability.
    RM: Add lock for accesing maps with stored interfaces.
    Separate hardware components-related services after controllers-related services.
    Add service for activate/deactive hardware components.
    Add activation and deactivation through ResourceStorage. This helps to manage available command interfaces.
    * Use lifecycle_msgs/State in ListHardwareCompoents for state representation.
    * Simplify repeatable code in methods.
    * Add HW shutdown structure into ResouceManager.
    * Fill out service callback in CM and add parameter for auto-configure.
    * Move claimed_command_itf_map to ResourceStorage from ResourceManager.
    * Do not automatically configure hardware in RM.
    * Lifecycle and claiming in Resource Manager is working.
    * Extend controller manager to support HW lifecycle.
    * Add also available and claimed status into list components service output.
    * Add SetHardwareComponentState service.
    * Make all output in services debug-output.
    * Remove specific services for hardware lifecycle management and leave only 'set_hardware_component_state' service.
    * Make init_resource_manager less stateful.
    * Keep old api to start/activate all components per default.
    * Remove 'moving'/'non-moving' interface-handling.
    * Remove obsolete 'import_components' methods without hardware info and fix post_initialization test.
    Co-authored-by: Bence Magyar <mailto:bence.magyar.robotics@gmail.com>
  * Contributors: Denis Štogl

 -- karsten <karsten@osrfoundation.org>  Mon, 24 Jan 2022 00:00:00 -0000

ros-humble-controller-manager (2.1.0-1jammy) jammy; urgency=high



 -- karsten <karsten@osrfoundation.org>  Tue, 11 Jan 2022 00:00:00 -0000

ros-humble-controller-manager (2.0.0-1jammy) jammy; urgency=high

  * Add service-skeletons for controlling hardware lifecycle. (#585 <https://github.com/ros-controls/ros2_control/issues/585>)
  * fix get_update_rate visibility in windows (#586 <https://github.com/ros-controls/ros2_control/issues/586>)
  * Make output of not available controller nicer and make it informational. (#577 <https://github.com/ros-controls/ros2_control/issues/577>)
  * Contributors: Denis Štogl, Melvin Wang

 -- karsten <karsten@osrfoundation.org>  Wed, 29 Dec 2021 00:00:00 -0000

ros-humble-controller-manager (1.2.0-1jammy) jammy; urgency=high



 -- karsten <karsten@osrfoundation.org>  Fri, 05 Nov 2021 00:00:00 -0000

ros-humble-controller-manager (1.1.0-1jammy) jammy; urgency=high

  * feat: add colored output into spawner.py (#560 <https://github.com/ros-controls/ros2_control/issues/560>)
  * Added timeout argument for service_caller timeout (#552 <https://github.com/ros-controls/ros2_control/issues/552>)
  * controller_manager: Use command_interface_configuration for the claimed interfaces when calling list_controllers (#544 <https://github.com/ros-controls/ros2_control/issues/544>)
  * Clean up test_load_controller (#532 <https://github.com/ros-controls/ros2_control/issues/532>)
  * Contributors: Jack Center, Jafar Abdi, Michael, Nour Saeed

 -- karsten <karsten@osrfoundation.org>  Sun, 24 Oct 2021 23:00:00 -0000

ros-humble-controller-manager (1.0.0-1jammy) jammy; urgency=high

  * Use ControllerManager node clock for control loop timepoints (#542 <https://github.com/ros-controls/ros2_control/issues/542>)
  * Per controller update rate(#513 <https://github.com/ros-controls/ros2_control/issues/513>)
  * added dt to controller interface and controller manager #438 <https://github.com/ros-controls/ros2_control/issues/438> (#520 <https://github.com/ros-controls/ros2_control/issues/520>)
  * Update nomenclature in CM for better code and output understanding (#517 <https://github.com/ros-controls/ros2_control/issues/517>)
  * Methods controlling the lifecycle of controllers all have on_ prefix
  * Controller Manager should not crash when trying to start finalized or unconfigured controller (#461 <https://github.com/ros-controls/ros2_control/issues/461>)
  * Fix deprecation warning from rclcpp::Duration (#511 <https://github.com/ros-controls/ros2_control/issues/511>)
  * Remove BOOST compiler definitions for pluginlib from CMakeLists (#514 <https://github.com/ros-controls/ros2_control/issues/514>)
  * Do not manually set C++ version to 14 (#516 <https://github.com/ros-controls/ros2_control/issues/516>)
  * Refactor INSTANTIATE_TEST_CASE_P -> INSTANTIATE_TEST_SUITE_P (#515 <https://github.com/ros-controls/ros2_control/issues/515>)
    Also removed the duplicated format & compiler fixes as on Galactic this shouldn't be an issue
  * rename get_current_state() to get_state() (#512 <https://github.com/ros-controls/ros2_control/issues/512>)
  * Fix spawner tests (#509 <https://github.com/ros-controls/ros2_control/issues/509>)
  * Removed deprecated CLI verbs (#420 <https://github.com/ros-controls/ros2_control/issues/420>)
  * Remove extensions from executable nodes (#453 <https://github.com/ros-controls/ros2_control/issues/453>)
  * Contributors: Bence Magyar, Denis Štogl, Dmitri Ignakov, Joseph Schornak, Márk Szitanics, Tim Clephas, bailaC, Mathias Aarbo

 -- karsten <karsten@osrfoundation.org>  Tue, 28 Sep 2021 23:00:00 -0000

ros-humble-controller-manager (0.8.0-1jammy) jammy; urgency=high

  * Use clang format as code formatter (#491 <https://github.com/ros-controls/ros2_control/issues/491>)
  * Use example urdf from the test_assests package. (#495 <https://github.com/ros-controls/ros2_control/issues/495>)
  * Separate controller manager test cases (#476 <https://github.com/ros-controls/ros2_control/issues/476>)
  * Add Controller Manager docs (#467 <https://github.com/ros-controls/ros2_control/issues/467>)
  * sort interfaces in resource manager (#483 <https://github.com/ros-controls/ros2_control/issues/483>)
  * Add pre-commit setup. (#473 <https://github.com/ros-controls/ros2_control/issues/473>)
  * Make controller_manager set controller's use_sim_time param when use_sim_time=True (#468 <https://github.com/ros-controls/ros2_control/issues/468>)
    * potential solution to controller_manager use_sim_time sharing issue
    * removed debug print statements
    * added INFO message to warn user that use_sim_time is being set automatically
  * Add load-only option into controller spawner (#427 <https://github.com/ros-controls/ros2_control/issues/427>)
  * Fixes for windows (#443 <https://github.com/ros-controls/ros2_control/issues/443>)
    * Fix building on windows
    * Fix MSVC linker error when building tests
    * Fix hang when loading controller on windows
    * Use better log for configuring controller
    * Be consistent with visibility control
    * Use try_lock throw exception on failure
  * Add an argument to define controller manager timeout (#444 <https://github.com/ros-controls/ros2_control/issues/444>)
  * Contributors: Akash, Bence Magyar, Darko Lukić, Denis Štogl, Karsten Knese, Simon Honigmann

 -- karsten <karsten@osrfoundation.org>  Fri, 27 Aug 2021 23:00:00 -0000

ros-humble-controller-manager (0.7.1-1jammy) jammy; urgency=high

  * Use namespace in controller_manager (#435 <https://github.com/ros-controls/ros2_control/issues/435>)
  * Contributors: Jonatan Olofsson

 -- karsten <karsten@osrfoundation.org>  Mon, 14 Jun 2021 23:00:00 -0000

ros-humble-controller-manager (0.7.0-1jammy) jammy; urgency=high



 -- karsten <karsten@osrfoundation.org>  Sat, 05 Jun 2021 23:00:00 -0000

ros-humble-controller-manager (0.6.1-1jammy) jammy; urgency=high

  * Add missing dependency on controller_manager_msgs (#426 <https://github.com/ros-controls/ros2_control/issues/426>)
  * Contributors: Denis Štogl

 -- karsten <karsten@osrfoundation.org>  Sun, 30 May 2021 23:00:00 -0000

ros-humble-controller-manager (0.6.0-1jammy) jammy; urgency=high

  * List controller claimed interfaces (#407 <https://github.com/ros-controls/ros2_control/issues/407>)
    * List controllers now also shows the claimed interfaces
    * Fixed tests that perform switches
    Successfull controller switches require more than one call to update()
    in order to update the controller list
    * Can now set the command interface configuration
    * Added checks for the claimed interfaces
  * Contributors: Jordan Palacios

 -- karsten <karsten@osrfoundation.org>  Sat, 22 May 2021 23:00:00 -0000

ros-humble-controller-manager (0.5.0-1jammy) jammy; urgency=high

  * Make controller manager update rate optional (#404 <https://github.com/ros-controls/ros2_control/issues/404>)
  * Bump wait_for_service timeout to 10 seconds (#403 <https://github.com/ros-controls/ros2_control/issues/403>)
  * introduce --stopped for spawner (#402 <https://github.com/ros-controls/ros2_control/issues/402>)
  * hardware_interface mode switching using prepareSwitch doSwitch approach (#348 <https://github.com/ros-controls/ros2_control/issues/348>)
  * Avoid std::stringstream (#391 <https://github.com/ros-controls/ros2_control/issues/391>)
  * avoid deprecations (#393 <https://github.com/ros-controls/ros2_control/issues/393>)
  * Use RCLCPP_DEBUG_STREAM for char * (#389 <https://github.com/ros-controls/ros2_control/issues/389>)
  * Check controller_interface::init return value when loading (#386 <https://github.com/ros-controls/ros2_control/issues/386>)
  * Do not throw when controller type is not found, return nullptr instead (#387 <https://github.com/ros-controls/ros2_control/issues/387>)
  * Contributors: Auguste Bourgois, Karsten Knese, Matt Reynolds, Tyler Weaver, Mathias Hauan Arbo, Bence Magyar

 -- karsten <karsten@osrfoundation.org>  Sun, 02 May 2021 23:00:00 -0000

ros-humble-controller-manager (0.4.0-1jammy) jammy; urgency=high

  * Fix deprecation warnings: SUCCESS -> OK (#375 <https://github.com/ros-controls/ros2_control/issues/375>)
  * Don't use FileType for param-file (#351 <https://github.com/ros-controls/ros2_control/issues/351>)
  * Remodel ros2controlcli, refactor spawner/unspawner and fix test (#349 <https://github.com/ros-controls/ros2_control/issues/349>)
  * Add spawner and unspawner scripts (#310 <https://github.com/ros-controls/ros2_control/issues/310>)
  * Contributors: Bence Magyar, Jordan Palacios, Karsten Knese, Victor Lopez

 -- karsten <karsten@osrfoundation.org>  Tue, 06 Apr 2021 23:00:00 -0000

ros-humble-controller-manager (0.3.0-1jammy) jammy; urgency=high

  * release_interfaces when stopping controller (#343 <https://github.com/ros-controls/ros2_control/issues/343>)
    * release_interfaces when stopping controller
    * Moved release_interfaces after deactivate
    * First attempt at test_release_interfaces
    * Switched to std::async with cm_->update
  * Capatalized error message and put the controllers name and resource name inside quote (#338 <https://github.com/ros-controls/ros2_control/issues/338>)
  * Contributors: mahaarbo, suab321321

 -- karsten <karsten@osrfoundation.org>  Sun, 21 Mar 2021 00:00:00 -0000

ros-humble-controller-manager (0.2.1-1jammy) jammy; urgency=high



 -- karsten <karsten@osrfoundation.org>  Tue, 02 Mar 2021 00:00:00 -0000

ros-humble-controller-manager (0.2.0-1jammy) jammy; urgency=high

  * Add "Fake" components for simple integration of framework (#323 <https://github.com/ros-controls/ros2_control/issues/323>)
  * Contributors: Denis Štogl

 -- karsten <karsten@osrfoundation.org>  Fri, 26 Feb 2021 00:00:00 -0000

ros-humble-controller-manager (0.1.6-1jammy) jammy; urgency=high



 -- karsten <karsten@osrfoundation.org>  Fri, 05 Feb 2021 00:00:00 -0000

ros-humble-controller-manager (0.1.5-1jammy) jammy; urgency=high



 -- karsten <karsten@osrfoundation.org>  Thu, 04 Feb 2021 00:00:00 -0000

ros-humble-controller-manager (0.1.4-1jammy) jammy; urgency=high

  * fix float conversion warning (#312 <https://github.com/ros-controls/ros2_control/issues/312>)
  * update doxygen style according to ros2 core standard (#300 <https://github.com/ros-controls/ros2_control/issues/300>)
  * Capitalized messages in controller_manager.cpp upto line669 (#285 <https://github.com/ros-controls/ros2_control/issues/285>)
  * Sleep accurate duration on ros2_control_node (#302 <https://github.com/ros-controls/ros2_control/issues/302>)
  * Contributors: Achinta-Choudhury, João Victor Torres Borges, Karsten Knese, Yutaka Kondo

 -- karsten <karsten@osrfoundation.org>  Wed, 03 Feb 2021 00:00:00 -0000

ros-humble-controller-manager (0.1.3-1jammy) jammy; urgency=high

  * Fix building on macOS with clang (#292 <https://github.com/ros-controls/ros2_control/issues/292>)
  ail.com>
  * Contributors: Karsten Knese

 -- karsten <karsten@osrfoundation.org>  Thu, 21 Jan 2021 00:00:00 -0000

ros-humble-controller-manager (0.1.2-1jammy) jammy; urgency=high

  * Fix update rate issues by working around MutliThreadedExecutor (#275 <https://github.com/ros-controls/ros2_control/issues/275>)
    * Fix update rate issues by working around MutliThreadedExecutor
    Currently the MutliThreadedExecutor performance is very bad. This leads
    to controllers not meeting their update rate. This PR is a temporary
    workaround for these issues.
    The current approach uses a rclcpp timer to execute the control loop.
    When used in combination with the MutliThreadedExecutor, the timers
    are not execute at their target frequency. I've converted the control
    loop to a while loop on a separate thread that uses nanosleep to
    execute the correct update rate. This means that rclcpp is not
    involved in the execution and leads to much better performance.
    * Address review comments by rewriting several comments
  * Contributors: Ramon Wijnands

 -- karsten <karsten@osrfoundation.org>  Wed, 06 Jan 2021 00:00:00 -0000

ros-humble-controller-manager (0.1.1-1jammy) jammy; urgency=high



 -- karsten <karsten@osrfoundation.org>  Wed, 23 Dec 2020 00:00:00 -0000

ros-humble-controller-manager (0.1.0-1jammy) jammy; urgency=high

  * Add configure controller service (#272 <https://github.com/ros-controls/ros2_control/issues/272>)
  * Remove lifecycle node (#261 <https://github.com/ros-controls/ros2_control/issues/261>)
  * Added starting of resources into CM and RM (#240 <https://github.com/ros-controls/ros2_control/issues/240>)
  * Use resource manager (#236 <https://github.com/ros-controls/ros2_control/issues/236>)
  * Remove pluginlib warnings on reload test (#237 <https://github.com/ros-controls/ros2_control/issues/237>)
  * resource loaning (#224 <https://github.com/ros-controls/ros2_control/issues/224>)
  * Allocate memory for components and handles (#207 <https://github.com/ros-controls/ros2_control/issues/207>)
  * Add controller manager services (#139 <https://github.com/ros-controls/ros2_control/issues/139>)
  * Change Hardware return type to enum class (#114 <https://github.com/ros-controls/ros2_control/issues/114>)
  * Use rclcpp::Executor instead of rclcpp::executor::Executor(deprecated) (#82 <https://github.com/ros-controls/ros2_control/issues/82>)
  * Replace RCUTILS_ with RCLCPP_ for logging (#62 <https://github.com/ros-controls/ros2_control/issues/62>)
  * dont include pluginlib header in controller manager header (#63 <https://github.com/ros-controls/ros2_control/issues/63>)
  * export controller_interface (#58 <https://github.com/ros-controls/ros2_control/issues/58>)
  * Use pluginlib instead of class_loader for loading controllers (#41 <https://github.com/ros-controls/ros2_control/issues/41>)
  * import controller_manager
  * Contributors: Bence Magyar, Denis Štogl, Jafar Abdi, Jordan Palacios, Karsten Knese, Parth Chopra, Victor Lopez

 -- karsten <karsten@osrfoundation.org>  Tue, 22 Dec 2020 00:00:00 -0000


